---
title: Delete
url: https://docs.vultr.com/products/network/firewall-groups/management/delete
description: Permanently removes the selected resource from your Vultr account.
publish_date: 2024-09-23T20:21:58.309622Z
last_updated: 2026-05-26T20:06:44.131092Z
---

# How to Delete Vultr Firewall Groups and Rules

Deleting a firewall group removes all existing rules and detaches all active instances from the group while deleting firewall rules removes traffic filtering on a specific port. Deleted firewall groups or rules cannot be recovered unless recreated using the Vultr Firewall.

Follow this guide to delete Vultr Firewall groups and rules using the Vultr Console, API, CLI, or Terraform.

=== "Vultr Console"

    1. Navigate to **Products**, expand the **Network** drop-down and select **Firewall** from the list of options.
    1. Select your target firewall group to manage it.
    1. Click **Delete Firewall Rule** within the action section of your target firewall rule to delete it.
    1. Click **Delete Group** in the top right corner to delete the firewall group and all existing rules.
    1. Click **Delete Firewall Group** in the confirmation prompt to remove the firewall grou and unlink active instances.

=== "Vultr API"

    1. Send a `GET` request to the [**List Firewall Groups** endpoint](https://www.vultr.com/api/#tag/firewall/operation/list-firewall-groups) and note the target firewall group's ID in your output.

        ```console
        $ curl "https://api.vultr.com/v2/firewalls" \
          -X GET \
          -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. Send a `GET` request to the [**List Firewall Rules** endpoint](https://www.vultr.com/api/#tag/firewall/operation/list-firewall-group-rules) and note the target firewall rule ID in your output.

        ```console
        $ curl "https://api.vultr.com/v2/firewalls/{firewall-group-id}/rules" \
           -X GET \
          -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. Send a `DELETE` request to the [**Delete Firewall Rule** endpoint](https://www.vultr.com/api/#tag/firewall/operation/delete-firewall-group-rule) to delete the firewall rule.

        ```console
        $ curl "https://api.vultr.com/v2/firewalls/{firewall-group-id}/rules/{firewall-rule-id}" \
          -X DELETE \
          -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. Send a `DELETE` request to the [**Delete Firewall Group** endpoint](https://www.vultr.com/api/#tag/firewall/operation/delete-firewall-group) to delete the firewall group.

        ```console
        $ curl "https://api.vultr.com/v2/firewalls/{firewall-group-id}" \
           -X DELETE \
           -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

=== "Vultr CLI"

    1. List all firewall groups in your Vultr account and note the target group ID.

        ```console
        $ vultr-cli firewall group list
        ```

    1. List all available firewall rules in the firewall group and note the target rule number.

        ```console
        $ vultr-cli firewall rule list <firewall-group-id>
        ```

    1. Delete the firewall rule.

        ```console
        $ vultr-cli firewall rule delete <firewall-group-id> <firewall-rule-number> 
        ```

    1. Delete the firewall group.

        ```console
        $ vultr-cli firewall group delete <firewall-group-id>
        ```

=== "Terraform"

    1. Open your Terraform configuration where the firewall group and rules are defined.

    1. Remove the `vultr_firewall_rule` blocks you want to delete, or destroy by target; remove the `vultr_firewall_group` block to delete the group.

        ```terraform
        resource "vultr_firewall_group" "web" {
            description = "web-fw"
        }

        resource "vultr_firewall_rule" "allow_http" {
            firewall_group_id = vultr_firewall_group.web.id
            protocol          = "tcp"
            port              = "80"
            ip_type           = "v4"
            subnet            = "0.0.0.0"
            subnet_size       = 0
            notes             = "Allow HTTP"
        }

        # To delete a specific rule, remove its block or run:
        # terraform destroy -target vultr_firewall_rule.allow_http

        # To delete the group (and its rules), remove the group block or run:
        # terraform destroy -target vultr_firewall_group.web
        ```

    1. Apply the configuration and observe the following output:

        ```
        Apply complete! Resources: 0 added, 0 changed, 1 destroyed.
        ```
